Subject: Re: [PATCH v2 5/5] hook: support a --to-stdin=<path> option

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Feb 2023 13:22:22 -0800

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> From: Emily Shaffer <[email-masked]>
>
> Expose the "path_to_stdin" API added in the preceding commit in the
> "git hook run" command.
>
> For now we won't be using this command interface outside of the tests,
> but exposing this functionality makes it easier to test the hook
> API. The plan is to use this to extend the "sendemail-validate"
> hook[1][2].

OK.

What does it take to tackle the obvious leftover bits of [4/5]?  Use
tempfile API to allocate a temporary file, slurp the input and close
it, and then use the "path_to_stdin" feature to spawn the hook?